Seedance 2.5
テキスト、最初/最後のフレーム、および 480p、720p、または 1080p のマルチモーダル画像、ビデオ、またはオーディオ参照から 4 ~ 30 秒のビデオを生成します。
- テキストから動画
- 画像から動画
プレイグラウンド
入力
Video prompt. Reference images, videos and audio positionally in the prompt.
Reference image URLs (maximum 30 across both image fields)
Public reference-video URLs (maximum 10; 2-30 seconds each and 30 seconds total). Their duration is probed before charging.
Reference audio URLs (maximum 10; 30 seconds total)
実行すると残高から料金が引き落とされます。
出力
出力はここに表示されます。
料金
クイックスタート
完全なAPIリファレンス →1curl -X POST https://api.api-stock.com/api/v1/generation/create \2 -H "Authorization: Bearer $API_STOCK_KEY" \3 -H "Content-Type: application/json" \4 -d '{5 "model": "seedance-2.5",6 "input": {7 "prompt": "夕暮れ時の都市を映した映画のワンシーン",8 "duration": 5,9 "size": "adaptive",10 "resolution": "480p",11 "generateAudio": true,12 "nsfwCheck": false,13 "watermark": false,14 "outputFormat": "mp4",15 "omniReferenceTaskType": "auto",16 "returnLastFrame": false17 }18 }'
パラメータ
| 名前 | 型 | 必須 | デフォルト | 説明 |
|---|---|---|---|---|
prompt | string | はい | — | Video prompt. Reference images, videos and audio positionally in the prompt. |
duration | number | いいえ | 5 | Output duration in seconds (4-30). For reference-video jobs, input and output seconds use the reference-input tariff. |
size | string | いいえ | adaptive | Output aspect ratio. First/last-frame and extend jobs require adaptive.いずれか: adaptive, 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 |
resolution | string | いいえ | 480p | Output resolution and per-second billing tierいずれか: 480p, 720p, 1080p |
generateAudio | boolean | いいえ | true | Whether the generated video includes audio |
nsfwCheck | boolean | いいえ | false | Run prompt/image moderation before generation |
watermark | boolean | いいえ | false | Add an AI-generated watermark |
seed | number | いいえ | — | Random seed; identical output is not guaranteed |
outputFormat | string | いいえ | mp4 | Output video containerいずれか: mp4, mov |
omniReferenceTaskType | string | いいえ | auto | Optional task-type hint. edit is unavailable until variable-duration billing settlement is supported.いずれか: auto, reference, extend |
imageUrls | string[] | いいえ | — | Reference image URLs (maximum 30 across both image fields) |
imageWithRoles | string[] | いいえ | — | Images with explicit first_frame, last_frame or reference_image roles |
videoUrls | string[] | いいえ | — | Public reference-video URLs (maximum 10; 2-30 seconds each and 30 seconds total). Their duration is probed before charging. |
audioUrls | string[] | いいえ | — | Reference audio URLs (maximum 10; 30 seconds total) |
returnLastFrame | boolean | いいえ | false | Return the output's last frame for chaining |
tools | string[] | いいえ | — | Optional enhancements such as web search grounding |
よくある質問
Seedance 2.5 の料金はいくらですか?
Seedance 2.5はAPI Stock API経由で$0.144 出力1秒あたりから利用できます。料金は1つの前払い残高から利用した分だけ支払う従量制で、サブスクリプションはありません。最終的な価格は、解像度や長さなどのパラメータに応じて変わります。
Seedance 2.5 APIはどのように呼び出せますか?
https://api.api-stock.com/api/v1/generation/create に、APIキーとモデルID「seedance-2.5」を指定してPOSTリクエストを送信します。リクエストの結果として、ポーリングするタスクIDが返されるか、結果の準備ができた時点でWebhookコールバックが送信されます。上記のクイックスタートにすぐ実行できる例があります。
Seedance 2.5はどのような入力パラメータを受け付けますか?
Seedance 2.5は16個の入力パラメータ(必須フィールドpromptを含む)を受け付けます。種類、デフォルト値、指定可能な値は上記のパラメータ表に記載されています。
Seedance 2.5のリクエストに失敗するとどうなりますか?
API Stockは予備プロバイダーでリクエストを自動的に再試行します。すべてのプロバイダーで失敗した場合、請求額は残高に返金されます。
Seedance 2.5は他のモデルと同じAPIキーで利用できますか?
はい。API Stockのすべてのモデル(動画、画像、音楽、チャット)は1つのAPIキーと1つの前払い残高を共有しているため、新しい認証情報なしでSeedance 2.5に切り替えられます。